#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9C,0x70,0xEF,0x26,0x61,0x37,0xEE,0x40,0x85,0xDC,0x01,0x4E,
		0xAB,0xF2,0x80,0x6C,0xA1,0x1A,0xD6,0x1B,0xE8,0x73,0xE6,0x7A,
		0x17,0x99,0xE1,0x16,0x77,0xC3,0x0E,0x0C,0xC6,0x29,0xF0,0xB9,
		0x25,0x9B,0x5E,0x40,0xDF,0xFE,0x90,0xFD,0x49,0xDA,0xB8,0xD2,
		0xD2,0x17,0x79,0x9D,0xCC,0x7B,0x8E,0x3C,0xBD,0x05,0x7A,0x68,
		0x96,0x35,0x5D,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
